# Get Datafeeds information

**Method: GET**

#### HTTP Request <a href="#http-request" id="http-request"></a>

```
https://api.accesstrade.vn/v1/datafeeds
```

The parameters are passed into HTTP Request according to Key-Value pairs, begin the parameters with the sign “?” and separate the parameters with the sign “&”. Ex:&#x20;

```
https://api.accesstrade.vn/v1/datafeeds?domain=lazada.vn&sku=AN273FAAA1FXLXVNAMZ-2293380
```

#### Query parameters <a href="#query-parameters" id="query-parameters"></a>

| Parameters             | Required | Description                                                             |
| ---------------------- | -------- | ----------------------------------------------------------------------- |
| campaign               | Optional | Merchant of the product owner                                           |
| domain                 | Optional | Domain of the product owner                                             |
| discount\_amount\_from | Optional | Filter discount rate from                                               |
| discount\_amount\_to   | Optional | Filter discount rate until                                              |
| discount\_rate\_from   | Optional | lọc tỷ lệ giá được giảm từ                                              |
| discount\_rate\_to     | Optional | lọc tỷ lệ giá được giảm đến                                             |
| page                   | Optional | Input page order to get, max = total/limit. Default = 1                 |
| limit                  | Optional | Amount of product needed, default is 50, max = 200                      |
| price\_from            | Optional | Filter price from                                                       |
| price\_to              | Optional | Filter price to                                                         |
| discount\_from         | Optional | Filter discount price from                                              |
| discount\_to           | Optional | Filter discount price to                                                |
| status\_discount       | Optional | Filter according to discount status. 0 - no discount, 1 - has discount. |
| update\_from           | Optional | Filter update time of datafeed from. Ex. 08-09-2017                     |
| update\_to             | Optional | Filter update time of datafeed to. Ex. 08-09-2018                       |

#### Result Description <a href="#m-t-k-t-qu" id="m-t-k-t-qu"></a>

| Key              | Mô tả                                                 |
| ---------------- | ----------------------------------------------------- |
| cate             | Category of product                                   |
| desc             | Describe product information                          |
| discount         | Price after discount                                  |
| campaign         | Campaign                                              |
| domain           | Domain of product owner                               |
| image            | Url of product image                                  |
| name             | Product name                                          |
| price            | Price of product before discount                      |
| product\_id      | Product id                                            |
| sku              | Product code                                          |
| url              | Product link                                          |
| aff\_link        | Deep link                                             |
| status\_discount | Status of discount. 0 - no discount, 1 - has discount |
| discount\_amount | Price of the discount                                 |
| discount\_rate   | Percentage being discounted                           |
| update\_time     | Update time                                           |

#### Example (Using Postman tool to call API) <a href="#v-d-minh-h-a-d-ng-tool-postman-call-api" id="v-d-minh-h-a-d-ng-tool-postman-call-api"></a>

![](/files/-MSg9MI_08P0dUmy_fW3)

```
{
    "data": [
        {
            "aff_link": "https://go.isclix.com/deep_link/4348611760548105593?url=https%3A%2F%2Fwww.lazada.vn%2Fao-thun-cao-cap-hinh-star-wars-coffee-mitadi-aste072-2423013.html",
            "campaign": "lazadaapp",
            "cate": "thoi-trang-my-pham",
            "desc": null,
            "discount": 175000.0,
            "discount_amount": 0.0,
            "discount_rate": 0.0,
            "domain": "lazada.vn",
            "image": "https://vn-live-01.slatic.net/p/7/ao-thun-cao-cap-hinh-star-wars-coffee-mitadi-aste072-1479373990-3103242-3b4b9c7018198c05f648390fb741036c-product.jpg",
            "merchant": "lazadaapp",
            "name": "Áo Thun Cao Cấp Hình Star Wars Coffee - MITADI – ASTE072",
            "price": 175000.0,
            "product_id": "224_AN273FAAA1FXLXVNAMZ-2293380",
            "promotion": null,
            "sku": "AN273FAAA1FXLXVNAMZ-2293380",
            "status_discount": 0,
            "update_time": "24-07-2018T01:02:19",
            "url": "https://www.lazada.vn/ao-thun-cao-cap-hinh-star-wars-coffee-mitadi-aste072-2423013.html"
        }
    ],
    "total": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.accesstrade.vn/api-accesstrade-tai-lieu-tich-hop/get-datafeeds-information.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
